package sk.upjs.ics.kniznica;

import java.util.List;

/**
 *
 * @author student
 */
public interface Kniznica {
    public void zaeviduj(Kniha kniha);

    public void vyrad(Kniha kniha);

    public boolean pozicaj(Kniha kniha);

    public void vrat(Kniha kniha);

    public List<Kniha> vyhladajPodlaAutora(String autor);

    public List<Kniha> vyhladajPodlaNazvu(String nazov);

    public Kniha vyhladajPodlaIsbn(long isbn);

    public boolean jePozicana(Kniha kniha);

    public boolean jeVolna(Kniha kniha);

    public boolean jeVEvidencii(Kniha kniha);

    public int getPocetKnih();

    public List<Kniha> getVsetkyKnihy();
}
